package com.timzaak.ucloud.iot.model;

import cn.ucloud.common.annotation.UcloudParam;
import cn.ucloud.common.pojo.BaseRequestParam;

import javax.validation.constraints.NotEmpty;

public class GetDevicePropertyRequest extends BaseRequestParam {

    @NotEmpty(message = "region can not be empty")
    @UcloudParam("Region")
    private String region;

    @NotEmpty(message = "productSN can not be empty")
    @UcloudParam("ProductSN")
    private String productSN;

    @NotEmpty(message = "deviceSN can not be empty")
    @UcloudParam("DeviceSN")
    private String deviceSN;

    public GetDevicePropertyRequest() {
        super("GetUIoTCoreDeviceProperty");
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getProductSN() {
        return productSN;
    }

    public void setProductSN(String productSN) {
        this.productSN = productSN;
    }

    public String getDeviceSN() {
        return deviceSN;
    }

    public void setDeviceSN(String deviceSN) {
        this.deviceSN = deviceSN;
    }
}
