package com.mjitech.api.model

data class CurrentTaking(
    val skuId: Int,
    val orderNumber: String,
    val sku: SKU,
    val batchId: Int
)

data class FailTaking(
    val orderNumber: String,
    val notified: Boolean,
    val sku: SKU,
    val changeList: List<FailSku>
)

data class FailSku(
    val haangingHolesHeight: Int,
    val expirationDays: Int,
    val isCircular: Int,
    val imagePath: String,
    val difference_price: Int,
    val sortNumber: Int,
    val expectStock: Int,
    val grabAssistance: Int,
    val skuNumber: String,
    val price: Int,
    val statusNameEn: String,
    val id: Int,
    val brand: Int,
    val skuId: Int,
    val descriptionEn: String,
    val brandName: String,
    val images: List<String>,
    val cmCount: Int,
    val count: Int,
    val unPublishWarehouse: String,
    val categoryNameEn: String,
    val nameEn: String,
    val unitEn: String,
    val statusNum: Int,
    val sorted: Boolean,
    val unit: String,
    val tbCount: Int,
    val titleEn: String,
    val name: String,
    val parentCategory: Int,
    val countryName: String,
    val position: Int,
    val shortName: String,
    val status: Int,
    val promotionTags: List<String>,
    val description: String,
    val shortNameEn: String,
    val title: String,
    val categoryName: String,
    val countryNameEn: String,
    val msrp: Int,
    val sellprice: Int,
    val statusName: String,
    val specunit: Int,
    val recentInv: Int,
    val newDays: Int,
    val quantity: Int,
    val isNew: Int,
    val bbCount: Int,
//    val new_file6: Int,
//    val file6: Int,
//    val new_file5: Int,
//    val new_file4: Int,
//    val file4: Int,
//    val new_file3: Int,
//    val file5: Int,
    val brandNameEn: String,
//    val new_file2: Int,
//    val file2: Int,
    val isRecommended: Int,
//    val new_file1: Int,
//    val file3: Int,
    val attributes: List<String>,
//    val file1: Int,
    val category: Int
)
