package com.mjitech.api.model

data class SKU(
    val images: List<String>,
    val imagePath: String,
    val outBatchSkuId: Int,
    val outBatchId: Int,
    val count: Int,
    val length: Int,
    val height: Int,
    val width: Int,
    val isPresent: Boolean,
    val skuWidth: Int,
    val skuHeight: Int,
    val skuThickness: String,
    val skuName: String,
    val x: Int,
    val y: Int,
    val x1: Int,
    val y1: Int,
    val shelfNumber: Int,
    val fullShelfNumber: Int,
    val skuId: Int,
    val status: Int
) {
    companion object {
        object Status {
            val PAID = 1
            val Taking = 2
            val FinishTaking = 3
            val Missing = 4
            val REFOUND = 6
            val REFUND_FAIL = 7
            val READY = 8 // choose for change product
        }
    }
}
