package com.mjitech.service.log

import com.mjitech.third.down.entity.server.ACKResponse
import com.mjitech.third.down.entity.server.HeartBeatResponse
import mu.KotlinLogging

object DownLog{
    private val logger = KotlinLogging.logger { }


    fun DownIsSafeLog(command:HeartBeatResponse){
            if(command.leftDoor == 0.toByte()){
                logger.info { "leftDoor is not safe" }
            }else if (command.rightDoor == 0.toByte()){
                logger.info { "rightDoor is not safe" }
            }else if (command.replenishmentScreen == 0.toByte()){
                logger.info { "replenishmentScreen is not safe" }
            }
    }
    fun DownIsSafeLog(command:ACKResponse){
        if(command.leftDoor == 0.toByte()){
            logger.info { "leftDoor is not safe" }
        }else if (command.rightDoor == 0.toByte()){
            logger.info { "rightDoor is not safe" }
        }else if (command.replenishmentScreen == 0.toByte()){
            logger.info { "replenishmentScreen is not safe" }
        }
    }
}