package com.mjitech.third.down.entity

import kotlinx.serialization.Serializable

@Serializable
data class ACK(
    val originalFrameNumber: Int,
    val originalType: Byte,
    val code: Short,
    val other: Int
) : CommandResponse {

    override fun toBytes(): Pair<Int, ByteArray> {
        return serializer().toBytes(this, type)
    }

    companion object : CommandDesc {
        override val type: Byte = 0x0a.toByte()
    }
}
