package com.mjitech.third.down.entity

import kotlinx.serialization.Serializable

@Serializable
data class StorageDoor(val action: Byte, val area: Byte) : CommandRequest {
    companion object : CommandDesc {
        override val type: Byte = 0x15.toByte()

        const val OpenDoor = 0.toByte()
        const val CloseDoor = 1.toByte()

        const val AreaA = 0.toByte()
        const val AreaB = 1.toByte()
    }

    override fun toBytes(): Pair<Int, ByteArray> {
        return serializer().toBytes(this, type)
    }
}
