package com.mjitech.third.down.entity.server

import com.mjitech.third.down.entity.CommandDesc
import com.mjitech.third.down.entity.CommandResponse
import com.mjitech.third.down.entity.toBytes
import kotlinx.serialization.Serializable

@Serializable
data class MachineErrorResponse(
    val superType: Byte,
    val subType: Byte
) : CommandResponse {

    override fun toBytes(): Pair<Int, ByteArray> {
        return serializer().toBytes(this,type)
    }

    companion object : CommandDesc {
        override val type: Byte = 0x19.toByte()
    }
}
