package com.mjitech.third.down

import com.mjitech.third.down.protocol.DownEncoder
import com.mjitech.third.down.protocol.toHumanRead
import kotlinx.serialization.Serializable
import org.junit.Test

@Serializable
data class A(val a:Int, val b:Short)

@Serializable
data class B(
    val a: List<A>
) {
    fun se():ByteArray {
        val e = DownEncoder(0x01)
        serializer().serialize(e,this)
        return e.getData()
    }
}
class DownEncoderTest {
    @Test
    fun simple() {
       println(B(listOf(A(1,2),A(3,4))).se().toHumanRead())
    }

}