package com.mjitech.bash

import java.io.BufferedReader
import java.io.File
import java.io.FileReader


/**
 * 生成config文件
 *
 */
fun productConfigFile(storeId: String, deviceSN: String, devicePassword: String) {
    val file = File("configfile/application.conf")
    val configFile = File("configfile/application.$storeId.conf")
    var fileReader: FileReader? = null
    var bufferedReader: BufferedReader? = null
    try {
        fileReader = FileReader(file)
        bufferedReader = BufferedReader(fileReader)
        try {
            var read: String? = null
            configFile.writeText("")
            while ({ read = bufferedReader.readLine();read }() != null) {
                if (read.isNullOrBlank()) {
                    configFile.appendText("")
                } else {
                    if (read?.indexOf("deviceSN") != -1) {
                        configFile.appendText("    deviceSN = \"$deviceSN\" \n")
                    } else if (read?.indexOf("devicePassword") != -1) {
                        configFile.appendText("    devicePassword = \"$devicePassword\" \n")
                    } else if (read?.indexOf("storeId") != -1) {
                        configFile.appendText("  storeId = \"$storeId\" \n")
                    } else {
                        configFile.appendText("$read \n")
                    }
                }
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }

    } catch (e: Exception) {
        e.printStackTrace()
    } finally {
        if (bufferedReader != null) {
            bufferedReader.close()
        }
        if (fileReader != null) {
            fileReader.close()
        }
    }
}
