package com.mjitech.compatible

import com.fasterxml.jackson.databind.JsonNode
import com.mjitech.third.down.entity.server.HeartBeatResponse
import com.timzaak.jackson.jsObject

fun HeartBeatResponse.toAttachmentAdapt(): JsonNode {
    return jsObject {
        "type" /= "RESPONSE_ATTACHMENT_STATUS"
        "data" /= jsObject {
            "left_tread" /= leftHorseBlock.toInt()
            "right_tread" /= rightHorseBlock.toInt()
            "pad" /= replenishmentScreen.toInt()
            "left_door" /= leftDoor.toInt()
            "right_door" /= rightDoor.toInt()
            "electric_door" /= electronDoor.toInt()
            "printer_door" /= sealPort.toInt()
            "out_door" /= shipmentWarehouse.toInt()
            "mid_door" /= innerDoor.toInt()
        }
    }.asTree()
}
