package com.mjitech.third.down

import com.fazecast.jSerialComm.SerialPort
import com.fazecast.jSerialComm.SerialPortEvent
import com.mjitech.third.down.entity.CommandRequest
import com.mjitech.third.down.ext.writeBytes
import com.mjitech.third.down.protocol.connectionOptions
import com.mjitech.third.down.protocol.createMessageListener
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.launch
import mu.KotlinLogging
import kotlin.coroutines.CoroutineContext

@Deprecated("串口干扰问题太大,弃用, 2020/07/02")
class DownSerialClient(
    portDescriptor: String,
    override val downClientChannel: DownClientChannel,
    override val coroutineContext: CoroutineContext
) : DownClient, CoroutineScope {
    override val logger = KotlinLogging.logger {}
    private val port: SerialPort = SerialPort.getCommPort(portDescriptor)

    init {
        connectionOptions(port)
        port.addDataListener(createMessageListener(::listener))
        port.openPort()
        logger.debug("Down Client init....port:$portDescriptor")
    }

    override fun sendCommand(command: CommandRequest) {
        port.writeBytes(command)
    }

    private fun listener(event: SerialPortEvent) {
        launch {
            listen(event.receivedData)
        }
    }
}
