package com.mjitech.third.down.entity

import kotlinx.serialization.Serializable

// 3.22.电箱门
@Serializable
data class ElectronDoor(
    val action: Byte
) : CommandRequest {
    companion object : CommandDesc {
        override val type: Byte = 0x16.toByte()
        val OpenDoor = 0.toByte()
        // val CloseDoor = 1.toByte()
    }

    override fun toBytes(): Pair<Int, ByteArray> {
        return serializer().toBytes(this, type)
    }
}
