package com.mjitech.third.down.entity.server

import com.mjitech.third.down.entity.CommandDesc
import com.mjitech.third.down.entity.CommandResponse
import com.mjitech.third.down.entity.toBytes
import kotlinx.serialization.Serializable

// TODO, 参数跟据文档,不确定是否是这样的
@Serializable
data class QueryTemperatureResponse(
    val averageTemperature: Byte
) : CommandResponse {

    companion object : CommandDesc {
        override val type: Byte = 0x04.toByte()
    }

    override fun toBytes(): Pair<Int, ByteArray> {
        return serializer().toBytes(this, type)
    }
}
