package com.mjitech.third.down.mock

import com.fazecast.jSerialComm.SerialPort
import com.fazecast.jSerialComm.SerialPortEvent
import com.mjitech.third.down.entity.CommandResponse
import com.mjitech.third.down.ext.writeBytes
import com.mjitech.third.down.protocol.connectionOptions
import com.mjitech.third.down.protocol.createMessageListener
import mu.KotlinLogging
import kotlin.coroutines.CoroutineContext
@Deprecated("use MockUDPDownServer")
class MockSerialDownServer(
    portDescriptor: String,
    override val coroutineContext: CoroutineContext
) : MockDownServer {
    override val logger = KotlinLogging.logger {}
    private val port: SerialPort = SerialPort.getCommPort(portDescriptor)

    init {
        connectionOptions(port)
        port.addDataListener(createMessageListener(::listener))
        port.openPort()
        logger.debug { "Mock Down Server init...." }
    }

    override fun sendCommand(command: CommandResponse) {
        port.writeBytes(command)
    }

    private fun listener(event: SerialPortEvent) {
//        listen(event.receivedData)
    }
}
