package config

import com.typesafe.config.Config

fun Config.isEnableMockDownServer(): Boolean {
    return getBoolean("mock.third.downServer.enable")
}

fun Config.isEnableMockScanCodeServer(): Boolean {
    return getBoolean("mock.third.scanCodeServer.enable")
}

//windows not support docker client
fun Config.isMockDockerClient():Boolean {
    return getBoolean("mock.docker.os.enable")
}
