package com.mjitech.qa.test;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.mjitech.iot.IotClient;
import com.timzaak.ucloud.iot.UIotServerClient;

public class TestIot {
	 
	
	public static void main(String[] args) {
		String deviceSN = "M0000039" ;
		String privateKey = "TJHsNOZlmTakt_-j-I3hBUizKufnStAvSbCaYRR3AxbYGRgH1PNkZfl9JhesFpc-";
		String publicKey = "UIDzGB9Y3g5KNvxn9UveqZOntwNzwL8Mgo-udcxN";
		String productSN = "c9q0kh9ooywrzi61";
		UIotServerClient  client = new UIotServerClient(privateKey, publicKey, productSN);
		ObjectMapper objectMapper = new ObjectMapper() ;
		IotClient iotClient = new IotClient(client, objectMapper);
		//01-获取设备属性。
	//	System.out.println(iotClient.getDeviceInfo(deviceSN));
		//02-设置机器状态
		/**
		 * 备注：retCode为0是成功
		 * 
		 * 0 init 初始化   {"RequestID":"01erh5m4zez6nm8rr4q0w6pmvt","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 1 Free 空闲  {"RequestID":"01erh5vaghremh6ngsyr3841kt","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 2 TakingGood 开始拿货 {"RequestID":"01erh5w990jkj42wbdn2n2dwpx","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 3 OpenGoodDoor 开货门 {"RequestID":"01erh60yhfkj9sg8fhva6psxe6","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 4 InRepair 进入维护状态 {"RequestID":"01erh61nfv06fca4ca2f692na8","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 5 OpenDoorInRepair A or B门开着，补货时 {"RequestID":"01erkn0vtfhmx5814g23qqdg0e","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 6 UpdateInRepair 服务升级中，测试取货的时候，也是这个状态 {"RequestID":"01erkn1nvanreqrf71nhg4qmtb","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * 7 Wait 超时无法操作等待状态。{"RequestID":"01erkn2dakmhjy7fydry3ctyva","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * */
		//System.out.println(iotClient.setState(deviceSN, 1));
		//刷新屏幕：{"RequestID":"01erkn56rbp521fnwa0q81x0hz","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
	//	System.out.println(iotClient.reloadBrowser(deviceSN));
		//开门
		/**
		 * @param String deviceSN, 
		 * @param int doorId 1 电柜;2 A门 ;4 B门;8 出货的门.
		 * @param int employeeId 1 分拣员；3打包员；4配送；5机器管理员6：分拣打包配送职务；7同前8打包补货职务；11店长；12超级管理员；13工程师；14补货员.
		 *  {"RequestID":"01es2kt5tgcnpajr0xreb5nk2s","RetCode":0,"Action":"SendUIoTCoreDeviceCommandResponse"}
		 * */
		//System.out.println("开门："+iotClient.openDoor(deviceSN, 1, 14));
		//重启服务window端不成，但接口返回成功，linux端可以。
	//	System.out.println("重启服务："+iotClient.reloadServer(deviceSN));
		/**
		 * @param shelfNumber 货柜编号
		 * @param int x;
		 * @param int y;
		 * @param int x1;
		 * @param int y1;
		 * */
		System.out.println("取货："+iotClient.NewSkuPass(deviceSN, 25, 2, 4, 5, 6));
		
		
		
		
	}
	
	
}
