package com.mjitech.third.down

import com.fasterxml.jackson.databind.node.ObjectNode
import com.mjitech.third.down.mock.MockDownServer
import com.timzaak.jackson.KtorJacksonWrapper
import com.timzaak.jackson.jsObject
import com.timzaak.ucloud.mqtt.entity.PostEvent
import helper.downClientRule
import helper.mockDownRule
import kotlinx.coroutines.channels.consumeEach
import kotlinx.coroutines.launch
import org.junit.Rule
import org.junit.Test
import org.koin.test.KoinTest
import org.koin.test.inject

class MockClientTest : KoinTest {
    @get:Rule
    val rule = mockDownRule()

    private val downClient: DownClient by inject()
    private val mockDownServer: MockDownServer by inject()

    @Test
    fun `simple one`() {
        downClient.downClientChannel.launch {
            downClient.downClientChannel.channel.openSubscription().consumeEach { it ->
                println("coming here $it")
            }
        }

        Thread.sleep(1000 * 1000)
    }
}
